<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gatt__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gatt_value_t</compoundname>
    <includes local="no">cy_ble_stack_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gatt__value__t_1a7f49e73c5ebed67f5f1e2694abdef2c9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_gatt_value_t::val</definition>
        <argsstring />
        <name>val</name>
        <briefdescription>
<para>Pointer to the value to be packed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="407" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="407" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatt__value__t_1aaedbda4dce57751bcc01d3a60eb37858" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gatt_value_t::len</definition>
        <argsstring />
        <name>len</name>
        <briefdescription>
<para>Length of the Value to be packed in bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="410" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="410" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatt__value__t_1a3708d85b67dc8d312f51c897e5cdde45" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gatt_value_t::actualLen</definition>
        <argsstring />
        <name>actualLen</name>
        <briefdescription>
<para>Output parameter indicating actual length packed and sent over the air. </para>        </briefdescription>
        <detaileddescription>
<para>Actual length can be less than or equal to the 'len' parameter values. Each GATT procedure defines different lengths of data that can be transmitted over the air. If the application sends more than that, not all of the data will be transmitted. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="417" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="417" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Abstracts Variable Length Values for GATT. </para>    </briefdescription>
    <detaileddescription>
<para>Apart from data and length, actual length is needed so that the GATT can indicate to the application the actual length of data processed for a PDU.</para><para>This is used in multiple commands - see CY_BLE_GATT_READ_RSP, CY_BLE_GATT_FIND_BY_TYPE_VALUE_REQ, CY_BLE_GATT_READ_BLOB_RSP, etc.</para><para>In GATT Read Response for example, if the attribute length is 30 octets and the GATT MTU is 23 octets, then only first 22 octets can be sent by the GATT. Therefore the actual length will be 22 (GATT MTU-1). However, if the GATT MTU is configured to be 54 for example, all 30 octets can be transmitted and the actual length will be 30.</para><para>Actual length should be derived as : actualLen = minimum(length, (GATT MTU-1))</para><para>In case multiple values are being packed, the actual length processed will depend on the available GATT MTU. </para>    </detaileddescription>
    <location bodyend="419" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="404" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="405" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gatt__value__t_1a3708d85b67dc8d312f51c897e5cdde45" virt="non-virtual"><scope>cy_stc_ble_gatt_value_t</scope><name>actualLen</name></member>
      <member prot="public" refid="structcy__stc__ble__gatt__value__t_1aaedbda4dce57751bcc01d3a60eb37858" virt="non-virtual"><scope>cy_stc_ble_gatt_value_t</scope><name>len</name></member>
      <member prot="public" refid="structcy__stc__ble__gatt__value__t_1a7f49e73c5ebed67f5f1e2694abdef2c9" virt="non-virtual"><scope>cy_stc_ble_gatt_value_t</scope><name>val</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>